
import peasy.test.*;
import peasy.org.apache.commons.math.*;
import peasy.*;
import peasy.org.apache.commons.math.geometry.*;
import controlP5.*;

PeasyCam cam;
ControlP5 cP5;

PMatrix3D currentCameraMatrix;
PGraphics3D g3;

PFont  myFutura6 = createFont("Futura", 6, true);
PFont  myFutura12 = createFont("Futura", 12, true);
PFont  myFutura16 = createFont("Futura", 16, true);
PFont  myFutura20 = createFont("Futura", 20, true);
PFont  myFutura30 = createFont("Futura", 30, true);

int [][] dataMatrix = null;

String[] categories = { 
  "Time", "Space", "Trans"
};
String[] years = { 
  "2006", "2007", "2008", "2009", "2010", "2011", "2012", "2013"
};

int maxCount; 

int numRows;
int numColumns;

float rowMargin = 160;
float columnMargin = 100;
Table table; 

float cellWidth = 10;
float cellHeight = 5;  

float zTransform = 0; 

int p5Margin = 40;
int p5Distance = 22;
int buttonWidth = 150;
int buttonHeight = 20;
float labelYPosition = 285;
color labelColor;
color backgroundColor; 
color fontColor; 

float zTransformScaler = 1.0;
float yScaler = 50.0; 
float cellSizeScaler = 1.0; 
float labelScaler = 0.25; 
float labelOpacityScaler = 0.25;

boolean textFlag= true;
boolean numberFlag = false;
boolean lineFlag = false; 
boolean invertColorFlag = false; 
boolean timeFlag = true; 
boolean spaceFlag = true; 
boolean transFlag = true; 
